Advertising

Author Topic: Error compiling Realtek 8812au dkms driver  (Read 340 times)

Offline bennypr0fane

  • Newbie
  • *
  • Posts: 1
Error compiling Realtek 8812au dkms driver
« on: March 23, 2019, 02:13:44 am »
Hello,
I'm trying to install a driver for a wlan usb dongle, following these instructions:
https://www.learningpenguin.net/2018/01/30/install-realtek-rtl8812au-wifi-driver-linux/
I'm stuck at step 3:
Code: [Select]
ben@poidl-sparky:~$ sudo dkms build 8812au/4.2.2

Kernel preparation unnecessary for this kernel.  Skipping...

Building module:
cleaning build area...
'make' all KVER=4.19.0-2-amd64..................(bad exit status: 2)
Error! Bad return status for module build on kernel: 4.19.0-2-amd64 (x86_64)
Consult /var/lib/dkms/8812au/4.2.2/build/make.log for more information.

the make.log looks like this:

Code: [Select]
CC [M]  /var/lib/dkms/8812au/4.2.2/build/os_dep/linux/os_intfs.o
/var/lib/dkms/8812au/4.2.2/build/os_dep/linux/os_intfs.c:1069:22: error: initialization of ‘u16 (*)(struct net_device *, struct sk_buff *, struct net_device *, u16 (*)($
  .ndo_select_queue = rtw_select_queue,
                      ^~~~~~~~~~~~~~~~
/var/lib/dkms/8812au/4.2.2/build/os_dep/linux/os_intfs.c:1069:22: note: (near initialization for ‘rtw_netdev_ops.ndo_select_queue’)
cc1: some warnings being treated as errors
make[4]: *** [/usr/src/linux-headers-4.19.0-2-common/scripts/Makefile.build:309: /var/lib/dkms/8812au/4.2.2/build/os_dep/linux/os_intfs.o] Fehler 1
make[3]: *** [/usr/src/linux-headers-4.19.0-2-common/Makefile:1540: _module_/var/lib/dkms/8812au/4.2.2/build] Fehler 2
make[2]: *** [Makefile:146: sub-make] Fehler 2
make[1]: *** [Makefile:8: all] Fehler 2
make[1]: Verzeichnis „/usr/src/linux-headers-4.19.0-2-amd64“ wird verlassen
make: *** [Makefile:1064: modules] Fehler 2

I don't know what to make of it, any hints?

Offline paxmark1

  • Hero Member
  • *****
  • Posts: 564
Re: Error compiling Realtek 8812au dkms driver
« Reply #1 on: March 23, 2019, 06:16:36 am »
Did you see check Debian forum
http://forums.debian.net/viewtopic.php?f=7&t=136559&p=679004&hilit=rtl+8812au#p679004

http://sparkylinux.org/forum/index.php/topic,4784.msg12325.html#msg12325

gordboy    If you look at the date stamps  of the gnab git page you will see that they are not that recent.  Note that it only goes up to kernel 4.15 gordboy is up to kernel 5.1 He bumped it from 5.0 4 days ago.

Get the git tar.gz  Use dkms for the module 

Please Please  post the output of "inxi -brx"  marked up as code to be sure it is th AU  you need.  That shows machine output (instead of you typing it out) exactly what kernel, wifidongle and if you are Sparky 4 or 5.

Looking at your post kernel  4.19  - unless you have an ultra modern computer I would stay with the 4.19.

The panda does suck.  They lied through their teeth about their linux ease on their web site if you bought the one I did. 

peace out.

When solved please add "Solved:" to the beginning of your Subject 


Don't make a FrankenDebian